# Class JSV

java.lang.Object
org.jmol.jsv.JSV

All Implemented Interfaces:
  `JmolJSpecView`

public class JSV extends Object implements JmolJSpecView

## Constructor Summary

Constructors
Constructor
Description
`JSV()`

## Method Summary

Modifier and Type
Method
Description
`void`
`atomPicked(int atomIndex)`
`int`
`getBaseModelIndex(int modelIndex)`
`String`
`processSync(String script, int jsvMode)`
`void`
`setModel(int modelIndex)`
`JSV`
`setViewer(Viewer vwr)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSV

public JSV()

## Method Details

### setViewer

public JSV setViewer(Viewer vwr)

Specified by:
  `setViewer` in interface `JmolJSpecView`

### atomPicked

public void atomPicked(int atomIndex)

Specified by:
  `atomPicked` in interface `JmolJSpecView`

### setModel

public void setModel(int modelIndex)

Specified by:
  `setModel` in interface `JmolJSpecView`

### getBaseModelIndex

public int getBaseModelIndex(int modelIndex)

Specified by:
  `getBaseModelIndex` in interface `JmolJSpecView`

### processSync

public String processSync(String script, int jsvMode)

Specified by:
  `processSync` in interface `JmolJSpecView`